## Autogenerated by Scribe. DO NOT MODIFY.

name: Endpoints
description: ''
endpoints:
  -
    httpMethods:
      - GET
    uri: api/user
    metadata:
      groupName: Endpoints
      groupDescription: ''
      subgroup: ''
      subgroupDescription: ''
      title: ''
      description: ''
      authenticated: false
      custom: []
    headers:
      Content-Type: application/json
      Accept: application/json
    urlParameters: []
    cleanUrlParameters: []
    queryParameters: []
    cleanQueryParameters: []
    bodyParameters: []
    cleanBodyParameters: []
    fileParameters: []
    responses:
      -
        status: 401
        content: '{"message":"Unauthenticated."}'
        headers:
          cache-control: 'no-cache, private'
          content-type: application/json
          access-control-allow-origin: '*'
        description: null
        custom: []
    responseFields: []
    auth: []
    controller: null
    method: null
    route: null
    custom: []
  -
    httpMethods:
      - GET
    uri: api/heartbeat
    metadata:
      groupName: Endpoints
      groupDescription: ''
      subgroup: ''
      subgroupDescription: ''
      title: ''
      description: ''
      authenticated: false
      custom: []
    headers:
      Content-Type: application/json
      Accept: application/json
    urlParameters: []
    cleanUrlParameters: []
    queryParameters: []
    cleanQueryParameters: []
    bodyParameters: []
    cleanBodyParameters: []
    fileParameters: []
    responses:
      -
        status: 200
        content: '{"ping":"pong"}'
        headers:
          cache-control: 'no-cache, private'
          content-type: application/json
          x-ratelimit-limit: '60'
          x-ratelimit-remaining: '58'
          access-control-allow-origin: '*'
        description: null
        custom: []
    responseFields: []
    auth: []
    controller: null
    method: null
    route: null
    custom: []
  -
    httpMethods:
      - POST
    uri: api/transaction/start
    metadata:
      groupName: Endpoints
      groupDescription: ''
      subgroup: ''
      subgroupDescription: ''
      title: ''
      description: ''
      authenticated: false
      custom: []
    headers:
      Content-Type: application/json
      Accept: application/json
    urlParameters: []
    cleanUrlParameters: []
    queryParameters: []
    cleanQueryParameters: []
    bodyParameters:
      merchantId:
        name: merchantId
        description: ''
        required: false
        example: 4
        type: integer
        custom: []
      projectId:
        name: projectId
        description: ''
        required: true
        example: 16
        type: integer
        custom: []
      merchantTxId:
        name: merchantTxId
        description: ''
        required: true
        example: iste
        type: string
        custom: []
      amount:
        name: amount
        description: ''
        required: true
        example: 20
        type: integer
        custom: []
      currency:
        name: currency
        description: ''
        required: true
        example: dolor
        type: string
        custom: []
      purpose:
        name: purpose
        description: ''
        required: true
        example: corporis
        type: string
        custom: []
      type:
        name: type
        description: ''
        required: true
        example: qui
        type: string
        custom: []
      urlRedirect:
        name: urlRedirect
        description: ''
        required: true
        example: repudiandae
        type: string
        custom: []
      urlNotify:
        name: urlNotify
        description: ''
        required: true
        example: voluptatem
        type: string
        custom: []
      kassenzeichen:
        name: kassenzeichen
        description: ''
        required: false
        example: null
        type: string
        custom: []
      pptoken:
        name: pptoken
        description: ''
        required: false
        example: null
        type: string
        custom: []
      hash:
        name: hash
        description: ''
        required: false
        example: null
        type: string
        custom: []
    cleanBodyParameters:
      merchantId: 4
      projectId: 16
      merchantTxId: iste
      amount: 20
      currency: dolor
      purpose: corporis
      type: qui
      urlRedirect: repudiandae
      urlNotify: voluptatem
    fileParameters: []
    responses: []
    responseFields: []
    auth: []
    controller: null
    method: null
    route: null
    custom: []
  -
    httpMethods:
      - POST
    uri: api/transaction/refund
    metadata:
      groupName: Endpoints
      groupDescription: ''
      subgroup: ''
      subgroupDescription: ''
      title: ''
      description: ''
      authenticated: false
      custom: []
    headers:
      Content-Type: application/json
      Accept: application/json
    urlParameters: []
    cleanUrlParameters: []
    queryParameters: []
    cleanQueryParameters: []
    bodyParameters:
      merchantId:
        name: merchantId
        description: ''
        required: false
        example: 13
        type: integer
        custom: []
      projectId:
        name: projectId
        description: ''
        required: true
        example: 17
        type: integer
        custom: []
      merchantTxId:
        name: merchantTxId
        description: ''
        required: true
        example: rerum
        type: string
        custom: []
      amount:
        name: amount
        description: ''
        required: true
        example: 2
        type: integer
        custom: []
      currency:
        name: currency
        description: ''
        required: true
        example: quidem
        type: string
        custom: []
      purpose:
        name: purpose
        description: ''
        required: false
        example: null
        type: string
        custom: []
      reference:
        name: reference
        description: 'Must be a valid UUID.'
        required: false
        example: 0e96ee88-4169-3021-90b6-c33d2620f472
        type: string
        custom: []
      kassenzeichen:
        name: kassenzeichen
        description: ''
        required: false
        example: null
        type: string
        custom: []
      hash:
        name: hash
        description: ''
        required: false
        example: null
        type: string
        custom: []
    cleanBodyParameters:
      merchantId: 13
      projectId: 17
      merchantTxId: rerum
      amount: 2
      currency: quidem
      reference: 0e96ee88-4169-3021-90b6-c33d2620f472
    fileParameters: []
    responses: []
    responseFields: []
    auth: []
    controller: null
    method: null
    route: null
    custom: []
  -
    httpMethods:
      - POST
    uri: api/transaction/capture
    metadata:
      groupName: Endpoints
      groupDescription: ''
      subgroup: ''
      subgroupDescription: ''
      title: ''
      description: ''
      authenticated: false
      custom: []
    headers:
      Content-Type: application/json
      Accept: application/json
    urlParameters: []
    cleanUrlParameters: []
    queryParameters: []
    cleanQueryParameters: []
    bodyParameters:
      merchantId:
        name: merchantId
        description: ''
        required: false
        example: 2
        type: integer
        custom: []
      projectId:
        name: projectId
        description: ''
        required: true
        example: 6
        type: integer
        custom: []
      merchantTxId:
        name: merchantTxId
        description: ''
        required: true
        example: ut
        type: string
        custom: []
      amount:
        name: amount
        description: ''
        required: true
        example: 7
        type: integer
        custom: []
      currency:
        name: currency
        description: ''
        required: true
        example: hic
        type: string
        custom: []
      purpose:
        name: purpose
        description: ''
        required: false
        example: null
        type: string
        custom: []
      reference:
        name: reference
        description: 'Must be a valid UUID.'
        required: false
        example: fd041af4-d06a-3892-b2bd-8d967e1fa260
        type: string
        custom: []
      hash:
        name: hash
        description: ''
        required: false
        example: null
        type: string
        custom: []
    cleanBodyParameters:
      merchantId: 2
      projectId: 6
      merchantTxId: ut
      amount: 7
      currency: hic
      reference: fd041af4-d06a-3892-b2bd-8d967e1fa260
    fileParameters: []
    responses: []
    responseFields: []
    auth: []
    controller: null
    method: null
    route: null
    custom: []
  -
    httpMethods:
      - POST
    uri: api/transaction/void
    metadata:
      groupName: Endpoints
      groupDescription: ''
      subgroup: ''
      subgroupDescription: ''
      title: ''
      description: ''
      authenticated: false
      custom: []
    headers:
      Content-Type: application/json
      Accept: application/json
    urlParameters: []
    cleanUrlParameters: []
    queryParameters: []
    cleanQueryParameters: []
    bodyParameters:
      merchantId:
        name: merchantId
        description: ''
        required: false
        example: 12
        type: integer
        custom: []
      projectId:
        name: projectId
        description: ''
        required: true
        example: 11
        type: integer
        custom: []
      merchantTxId:
        name: merchantTxId
        description: ''
        required: true
        example: voluptas
        type: string
        custom: []
      reference:
        name: reference
        description: 'Must be a valid UUID.'
        required: false
        example: 43df63e4-1a0f-32b2-8d33-14298e9a5f71
        type: string
        custom: []
      hash:
        name: hash
        description: ''
        required: false
        example: null
        type: string
        custom: []
    cleanBodyParameters:
      merchantId: 12
      projectId: 11
      merchantTxId: voluptas
      reference: 43df63e4-1a0f-32b2-8d33-14298e9a5f71
    fileParameters: []
    responses: []
    responseFields: []
    auth: []
    controller: null
    method: null
    route: null
    custom: []
  -
    httpMethods:
      - GET
    uri: 'api/transaction/finish/{pid}/{mode}/{uuid}'
    metadata:
      groupName: Endpoints
      groupDescription: ''
      subgroup: ''
      subgroupDescription: ''
      title: ''
      description: ''
      authenticated: false
      custom: []
    headers:
      Content-Type: application/json
      Accept: application/json
    urlParameters:
      pid:
        name: pid
        description: ''
        required: true
        example: fugit
        type: string
        custom: []
      mode:
        name: mode
        description: ''
        required: true
        example: minima
        type: string
        custom: []
      uuid:
        name: uuid
        description: ''
        required: true
        example: 16d775f0-beb4-3a37-a484-cea5c99e7bea
        type: string
        custom: []
    cleanUrlParameters:
      pid: fugit
      mode: minima
      uuid: 16d775f0-beb4-3a37-a484-cea5c99e7bea
    queryParameters: []
    cleanQueryParameters: []
    bodyParameters:
      pid:
        name: pid
        description: ''
        required: false
        example: null
        type: string
        custom: []
      mode:
        name: mode
        description: 'Must be one of <code>success</code>, <code>notify</code>, or <code>fail</code>.'
        required: false
        example: fail
        type: string
        custom: []
      uuid:
        name: uuid
        description: ''
        required: false
        example: null
        type: string
        custom: []
      Len:
        name: Len
        description: ''
        required: false
        example: 10
        type: integer
        custom: []
      Data:
        name: Data
        description: ''
        required: true
        example: quisquam
        type: string
        custom: []
    cleanBodyParameters:
      mode: fail
      Len: 10
      Data: quisquam
    fileParameters: []
    responses:
      -
        status: 500
        content: |-
          {
              "message": "Typed property App\\Rules\\TransactionExists::$projectId must not be accessed before initialization",
              "exception": "Error",
              "file": "C:\\xampp\\htdocs\\girocheckout-api\\app\\Rules\\TransactionExists.php",
              "line": 16,
              "trace": [
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\app\\Rules\\TransactionExists.php",
                      "line": 28,
                      "function": "getProjectId",
                      "class": "App\\Rules\\TransactionExists",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Validation\\InvokableValidationRule.php",
                      "line": 103,
                      "function": "validate",
                      "class": "App\\Rules\\TransactionExists",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Validation\\Validator.php",
                      "line": 819,
                      "function": "passes",
                      "class": "Illuminate\\Validation\\InvokableValidationRule",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Validation\\Validator.php",
                      "line": 610,
                      "function": "validateUsingCustomRule",
                      "class": "Illuminate\\Validation\\Validator",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Validation\\Validator.php",
                      "line": 422,
                      "function": "validateAttribute",
                      "class": "Illuminate\\Validation\\Validator",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Validation\\Validator.php",
                      "line": 453,
                      "function": "passes",
                      "class": "Illuminate\\Validation\\Validator",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Validation\\ValidatesWhenResolvedTrait.php",
                      "line": 31,
                      "function": "fails",
                      "class": "Illuminate\\Validation\\Validator",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Foundation\\Providers\\FormRequestServiceProvider.php",
                      "line": 30,
                      "function": "validateResolved",
                      "class": "Illuminate\\Foundation\\Http\\FormRequest",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Container\\Container.php",
                      "line": 1304,
                      "function": "Illuminate\\Foundation\\Providers\\{closure}",
                      "class": "Illuminate\\Foundation\\Providers\\FormRequestServiceProvider",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Container\\Container.php",
                      "line": 1269,
                      "function": "fireCallbackArray",
                      "class": "Illuminate\\Container\\Container",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Container\\Container.php",
                      "line": 1254,
                      "function": "fireAfterResolvingCallbacks",
                      "class": "Illuminate\\Container\\Container",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Container\\Container.php",
                      "line": 815,
                      "function": "fireResolvingCallbacks",
                      "class": "Illuminate\\Container\\Container",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Foundation\\Application.php",
                      "line": 933,
                      "function": "resolve",
                      "class": "Illuminate\\Container\\Container",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Container\\Container.php",
                      "line": 731,
                      "function": "resolve",
                      "class": "Illuminate\\Foundation\\Application",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Foundation\\Application.php",
                      "line": 918,
                      "function": "make",
                      "class": "Illuminate\\Container\\Container",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Routing\\ResolvesRouteDependencies.php",
                      "line": 85,
                      "function": "make",
                      "class": "Illuminate\\Foundation\\Application",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Routing\\ResolvesRouteDependencies.php",
                      "line": 50,
                      "function": "transformDependency",
                      "class": "Illuminate\\Routing\\ControllerDispatcher",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Routing\\ResolvesRouteDependencies.php",
                      "line": 30,
                      "function": "resolveMethodDependencies",
                      "class": "Illuminate\\Routing\\ControllerDispatcher",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Routing\\ControllerDispatcher.php",
                      "line": 60,
                      "function": "resolveClassMethodDependencies",
                      "class": "Illuminate\\Routing\\ControllerDispatcher",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Routing\\ControllerDispatcher.php",
                      "line": 40,
                      "function": "resolveParameters",
                      "class": "Illuminate\\Routing\\ControllerDispatcher",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Routing\\Route.php",
                      "line": 260,
                      "function": "dispatch",
                      "class": "Illuminate\\Routing\\ControllerDispatcher",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Routing\\Route.php",
                      "line": 205,
                      "function": "runController",
                      "class": "Illuminate\\Routing\\Route",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Routing\\Router.php",
                      "line": 798,
                      "function": "run",
                      "class": "Illuminate\\Routing\\Route",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Pipeline\\Pipeline.php",
                      "line": 141,
                      "function": "Illuminate\\Routing\\{closure}",
                      "class": "Illuminate\\Routing\\Router",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Routing\\Middleware\\SubstituteBindings.php",
                      "line": 50,
                      "function": "Illuminate\\Pipeline\\{closure}",
                      "class": "Illuminate\\Pipeline\\Pipeline",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Pipeline\\Pipeline.php",
                      "line": 180,
                      "function": "handle",
                      "class": "Illuminate\\Routing\\Middleware\\SubstituteBindings",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Routing\\Middleware\\ThrottleRequests.php",
                      "line": 126,
                      "function": "Illuminate\\Pipeline\\{closure}",
                      "class": "Illuminate\\Pipeline\\Pipeline",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Routing\\Middleware\\ThrottleRequests.php",
                      "line": 102,
                      "function": "handleRequest",
                      "class": "Illuminate\\Routing\\Middleware\\ThrottleRequests",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Routing\\Middleware\\ThrottleRequests.php",
                      "line": 54,
                      "function": "handleRequestUsingNamedLimiter",
                      "class": "Illuminate\\Routing\\Middleware\\ThrottleRequests",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Pipeline\\Pipeline.php",
                      "line": 180,
                      "function": "handle",
                      "class": "Illuminate\\Routing\\Middleware\\ThrottleRequests",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Pipeline\\Pipeline.php",
                      "line": 116,
                      "function": "Illuminate\\Pipeline\\{closure}",
                      "class": "Illuminate\\Pipeline\\Pipeline",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Routing\\Router.php",
                      "line": 799,
                      "function": "then",
                      "class": "Illuminate\\Pipeline\\Pipeline",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Routing\\Router.php",
                      "line": 776,
                      "function": "runRouteWithinStack",
                      "class": "Illuminate\\Routing\\Router",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Routing\\Router.php",
                      "line": 740,
                      "function": "runRoute",
                      "class": "Illuminate\\Routing\\Router",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Routing\\Router.php",
                      "line": 729,
                      "function": "dispatchToRoute",
                      "class": "Illuminate\\Routing\\Router",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Foundation\\Http\\Kernel.php",
                      "line": 200,
                      "function": "dispatch",
                      "class": "Illuminate\\Routing\\Router",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Pipeline\\Pipeline.php",
                      "line": 141,
                      "function": "Illuminate\\Foundation\\Http\\{closure}",
                      "class": "Illuminate\\Foundation\\Http\\Kernel",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Foundation\\Http\\Middleware\\TransformsRequest.php",
                      "line": 21,
                      "function": "Illuminate\\Pipeline\\{closure}",
                      "class": "Illuminate\\Pipeline\\Pipeline",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Foundation\\Http\\Middleware\\ConvertEmptyStringsToNull.php",
                      "line": 31,
                      "function": "handle",
                      "class": "Illuminate\\Foundation\\Http\\Middleware\\TransformsRequest",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Pipeline\\Pipeline.php",
                      "line": 180,
                      "function": "handle",
                      "class": "Illuminate\\Foundation\\Http\\Middleware\\ConvertEmptyStringsToNull",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Foundation\\Http\\Middleware\\TransformsRequest.php",
                      "line": 21,
                      "function": "Illuminate\\Pipeline\\{closure}",
                      "class": "Illuminate\\Pipeline\\Pipeline",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Foundation\\Http\\Middleware\\TrimStrings.php",
                      "line": 40,
                      "function": "handle",
                      "class": "Illuminate\\Foundation\\Http\\Middleware\\TransformsRequest",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Pipeline\\Pipeline.php",
                      "line": 180,
                      "function": "handle",
                      "class": "Illuminate\\Foundation\\Http\\Middleware\\TrimStrings",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Foundation\\Http\\Middleware\\ValidatePostSize.php",
                      "line": 27,
                      "function": "Illuminate\\Pipeline\\{closure}",
                      "class": "Illuminate\\Pipeline\\Pipeline",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Pipeline\\Pipeline.php",
                      "line": 180,
                      "function": "handle",
                      "class": "Illuminate\\Foundation\\Http\\Middleware\\ValidatePostSize",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Foundation\\Http\\Middleware\\PreventRequestsDuringMaintenance.php",
                      "line": 86,
                      "function": "Illuminate\\Pipeline\\{closure}",
                      "class": "Illuminate\\Pipeline\\Pipeline",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Pipeline\\Pipeline.php",
                      "line": 180,
                      "function": "handle",
                      "class": "Illuminate\\Foundation\\Http\\Middleware\\PreventRequestsDuringMaintenance",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Http\\Middleware\\HandleCors.php",
                      "line": 62,
                      "function": "Illuminate\\Pipeline\\{closure}",
                      "class": "Illuminate\\Pipeline\\Pipeline",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Pipeline\\Pipeline.php",
                      "line": 180,
                      "function": "handle",
                      "class": "Illuminate\\Http\\Middleware\\HandleCors",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Http\\Middleware\\TrustProxies.php",
                      "line": 39,
                      "function": "Illuminate\\Pipeline\\{closure}",
                      "class": "Illuminate\\Pipeline\\Pipeline",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Pipeline\\Pipeline.php",
                      "line": 180,
                      "function": "handle",
                      "class": "Illuminate\\Http\\Middleware\\TrustProxies",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Pipeline\\Pipeline.php",
                      "line": 116,
                      "function": "Illuminate\\Pipeline\\{closure}",
                      "class": "Illuminate\\Pipeline\\Pipeline",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Foundation\\Http\\Kernel.php",
                      "line": 175,
                      "function": "then",
                      "class": "Illuminate\\Pipeline\\Pipeline",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Foundation\\Http\\Kernel.php",
                      "line": 144,
                      "function": "sendRequestThroughRouter",
                      "class": "Illuminate\\Foundation\\Http\\Kernel",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\knuckleswtf\\scribe\\src\\Extracting\\Strategies\\Responses\\ResponseCalls.php",
                      "line": 299,
                      "function": "handle",
                      "class": "Illuminate\\Foundation\\Http\\Kernel",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\knuckleswtf\\scribe\\src\\Extracting\\Strategies\\Responses\\ResponseCalls.php",
                      "line": 287,
                      "function": "callLaravelOrLumenRoute",
                      "class": "Knuckles\\Scribe\\Extracting\\Strategies\\Responses\\ResponseCalls",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\knuckleswtf\\scribe\\src\\Extracting\\Strategies\\Responses\\ResponseCalls.php",
                      "line": 92,
                      "function": "makeApiCall",
                      "class": "Knuckles\\Scribe\\Extracting\\Strategies\\Responses\\ResponseCalls",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\knuckleswtf\\scribe\\src\\Extracting\\Strategies\\Responses\\ResponseCalls.php",
                      "line": 45,
                      "function": "makeResponseCall",
                      "class": "Knuckles\\Scribe\\Extracting\\Strategies\\Responses\\ResponseCalls",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\knuckleswtf\\scribe\\src\\Extracting\\Strategies\\Responses\\ResponseCalls.php",
                      "line": 35,
                      "function": "makeResponseCallIfConditionsPass",
                      "class": "Knuckles\\Scribe\\Extracting\\Strategies\\Responses\\ResponseCalls",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\knuckleswtf\\scribe\\src\\Extracting\\Extractor.php",
                      "line": 209,
                      "function": "__invoke",
                      "class": "Knuckles\\Scribe\\Extracting\\Strategies\\Responses\\ResponseCalls",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\knuckleswtf\\scribe\\src\\Extracting\\Extractor.php",
                      "line": 166,
                      "function": "iterateThroughStrategies",
                      "class": "Knuckles\\Scribe\\Extracting\\Extractor",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\knuckleswtf\\scribe\\src\\Extracting\\Extractor.php",
                      "line": 95,
                      "function": "fetchResponses",
                      "class": "Knuckles\\Scribe\\Extracting\\Extractor",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\knuckleswtf\\scribe\\src\\GroupedEndpoints\\GroupedEndpointsFromApp.php",
                      "line": 124,
                      "function": "processRoute",
                      "class": "Knuckles\\Scribe\\Extracting\\Extractor",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\knuckleswtf\\scribe\\src\\GroupedEndpoints\\GroupedEndpointsFromApp.php",
                      "line": 71,
                      "function": "extractEndpointsInfoFromLaravelApp",
                      "class": "Knuckles\\Scribe\\GroupedEndpoints\\GroupedEndpointsFromApp",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\knuckleswtf\\scribe\\src\\GroupedEndpoints\\GroupedEndpointsFromApp.php",
                      "line": 49,
                      "function": "extractEndpointsInfoAndWriteToDisk",
                      "class": "Knuckles\\Scribe\\GroupedEndpoints\\GroupedEndpointsFromApp",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\knuckleswtf\\scribe\\src\\Commands\\GenerateDocumentation.php",
                      "line": 51,
                      "function": "get",
                      "class": "Knuckles\\Scribe\\GroupedEndpoints\\GroupedEndpointsFromApp",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Container\\BoundMethod.php",
                      "line": 36,
                      "function": "handle",
                      "class": "Knuckles\\Scribe\\Commands\\GenerateDocumentation",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Container\\Util.php",
                      "line": 41,
                      "function": "Illuminate\\Container\\{closure}",
                      "class": "Illuminate\\Container\\BoundMethod",
                      "type": "::"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Container\\BoundMethod.php",
                      "line": 93,
                      "function": "unwrapIfClosure",
                      "class": "Illuminate\\Container\\Util",
                      "type": "::"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Container\\BoundMethod.php",
                      "line": 37,
                      "function": "callBoundMethod",
                      "class": "Illuminate\\Container\\BoundMethod",
                      "type": "::"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Container\\Container.php",
                      "line": 662,
                      "function": "call",
                      "class": "Illuminate\\Container\\BoundMethod",
                      "type": "::"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Console\\Command.php",
                      "line": 194,
                      "function": "call",
                      "class": "Illuminate\\Container\\Container",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\symfony\\console\\Command\\Command.php",
                      "line": 312,
                      "function": "execute",
                      "class": "Illuminate\\Console\\Command",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Console\\Command.php",
                      "line": 164,
                      "function": "run",
                      "class": "Symfony\\Component\\Console\\Command\\Command",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\symfony\\console\\Application.php",
                      "line": 1040,
                      "function": "run",
                      "class": "Illuminate\\Console\\Command",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\symfony\\console\\Application.php",
                      "line": 314,
                      "function": "doRunCommand",
                      "class": "Symfony\\Component\\Console\\Application",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\symfony\\console\\Application.php",
                      "line": 168,
                      "function": "doRun",
                      "class": "Symfony\\Component\\Console\\Application",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\vendor\\laravel\\framework\\src\\Illuminate\\Foundation\\Console\\Kernel.php",
                      "line": 200,
                      "function": "run",
                      "class": "Symfony\\Component\\Console\\Application",
                      "type": "->"
                  },
                  {
                      "file": "C:\\xampp\\htdocs\\girocheckout-api\\artisan",
                      "line": 37,
                      "function": "handle",
                      "class": "Illuminate\\Foundation\\Console\\Kernel",
                      "type": "->"
                  }
              ]
          }
        headers:
          cache-control: 'no-cache, private'
          content-type: application/json
          x-ratelimit-limit: '60'
          x-ratelimit-remaining: '57'
          access-control-allow-origin: '*'
        description: null
        custom: []
    responseFields: []
    auth: []
    controller: null
    method: null
    route: null
    custom: []
